Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4742)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4792)
@@ -1276,28 +1234,25 @@
 !
 !--       In case of non-flat topography write height information
-          IF ( TRIM( topography ) /= 'flat'  .AND.                             &
-               netcdf_data_format > 4 )  THEN
+          IF ( TRIM( topography ) /= 'flat'  .AND.  netcdf_data_format > 4 )  THEN
 
              ALLOCATE( netcdf_data_2d(mask_size_l(mid,1),mask_size_l(mid,2)) )
-             netcdf_data_2d = zu_s_inner( mask_i(mid,:mask_size_l(mid,1)),     &
+             netcdf_data_2d = zu_s_inner( mask_i(mid,:mask_size_l(mid,1)),                         &
                                           mask_j(mid,:mask_size_l(mid,2)) )
 
-             nc_stat = NF90_PUT_VAR( id_set_mask(mid,av),                      &
-                                     id_var_zusi_mask(mid,av),                 &
-                                     netcdf_data_2d,                           &
-                                     start = (/ 1, 1 /),                       &
-                                     count = (/ mask_size_l(mid,1),            &
-                                                mask_size_l(mid,2) /) )
+             nc_stat = NF90_PUT_VAR( id_set_mask(mid,av),                                          &
+                                     id_var_zusi_mask(mid,av),                                     &
+                                     netcdf_data_2d,                                               &
+                                     start = (/ 1, 1 /),                                           &
+                                     count = (/ mask_size_l(mid,1), mask_size_l(mid,2) /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 505 )
 
-             netcdf_data_2d = zw_w_inner( mask_i(mid,:mask_size_l(mid,1)),     &
+             netcdf_data_2d = zw_w_inner( mask_i(mid,:mask_size_l(mid,1)),                         &
                                           mask_j(mid,:mask_size_l(mid,2)) )
 
-             nc_stat = NF90_PUT_VAR( id_set_mask(mid,av),                      &
-                                     id_var_zwwi_mask(mid,av),                 &
-                                     netcdf_data_2d,                           &
-                                     start = (/ 1, 1 /),                       &
-                                     count = (/ mask_size_l(mid,1),            &
-                                                mask_size_l(mid,2) /) )
+             nc_stat = NF90_PUT_VAR( id_set_mask(mid,av),                                          &
+                                     id_var_zwwi_mask(mid,av),                                     &
+                                     netcdf_data_2d,                                               &
+                                     start = (/ 1, 1 /),                                           &
+                                     count = (/ mask_size_l(mid,1), mask_size_l(mid,2) /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 506 )
 
@@ -1306,5 +1261,5 @@
           ENDIF
 !
-!--       soil is not in masked output for now - disable temporary this block
+!--       Soil is not in masked output for now - disable temporary this block
 !          IF ( land_surface )  THEN
 !
@@ -1325,5 +1280,5 @@
 
 !
-!--       restore original parameter file_id (=formal parameter av) into av
+!--       Restore original parameter file_id (=formal parameter av) into av
           av = file_id
 
@@ -1332,6 +1287,5 @@
 
 !
-!--       decompose actual parameter file_id (=formal parameter av) into
-!--       mid and av
+!--       Decompose actual parameter file_id (=formal parameter av) into mid and av
           file_id = av
           IF ( file_id <= 200+max_masks )  THEN
@@ -1345,9 +1299,7 @@
 !
 !--       Get the list of variables and compare with the actual run.
-!--       First var_list_old has to be reset, since GET_ATT does not assign
-!--       trailing blanks.
+!--       First var_list_old has to be reset, since GET_ATT does not assign trailing blanks.
           var_list_old = ' '
-          nc_stat = NF90_GET_ATT( id_set_mask(mid,av), NF90_GLOBAL, 'VAR_LIST',&
-                                  var_list_old )
+          nc_stat = NF90_GET_ATT( id_set_mask(mid,av), NF90_GLOBAL, 'VAR_LIST', var_list_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 507 )
 
@@ -1366,8 +1318,8 @@
 
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
-             WRITE ( message_string, * ) 'netCDF file for ', TRIM( var ),       &
-                  ' data for mask', mid, ' from previous run found,',           &
-                  '&but this file cannot be extended due to variable ',         &
-                  'mismatch.&New file is created instead.'
+             WRITE ( message_string, * ) 'netCDF file for ', TRIM( var ),                          &
+                                         ' data for mask', mid, ' from previous run found,',       &
+                                         '&but this file cannot be extended due to variable ',     &
+                                         'mismatch.&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0335', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -1377,25 +1329,24 @@
 !
 !--       Get and compare the number of vertical gridpoints
-          nc_stat = NF90_INQ_VARID( id_set_mask(mid,av), 'zu_3d', &
-                                    id_var_zu_mask(mid,av) )
+          nc_stat = NF90_INQ_VARID( id_set_mask(mid,av), 'zu_3d', id_var_zu_mask(mid,av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 508 )
 
-          nc_stat = NF90_INQUIRE_VARIABLE( id_set_mask(mid,av),     &
-                                           id_var_zu_mask(mid,av),  &
+          nc_stat = NF90_INQUIRE_VARIABLE( id_set_mask(mid,av),                                    &
+                                           id_var_zu_mask(mid,av),                                 &
                                            dimids = id_dim_zu_mask_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 509 )
           id_dim_zu_mask(mid,av) = id_dim_zu_mask_old(1)
 
-          nc_stat = NF90_INQUIRE_DIMENSION( id_set_mask(mid,av),               &
-                                            id_dim_zu_mask(mid,av),            &
-                                            len = nz_old )
+          nc_stat = NF90_INQUIRE_DIMENSION( id_set_mask(mid,av),                                   &
+                                            id_dim_zu_mask(mid,av),                                &
+                                            LEN = nz_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 510 )
 
           IF ( mask_size(mid,3) /= nz_old )  THEN
-             WRITE ( message_string, * ) 'netCDF file for ', TRIM( var ),      &
-                  '&data for mask', mid, ' from previous run found,',          &
-                  ' but this file cannot be extended due to mismatch in ',     &
-                  ' number of vertical grid points.',                          &
-                  '&New file is created instead.'
+             WRITE ( message_string, * ) 'netCDF file for ', TRIM( var ),                          &
+                                         '&data for mask', mid, ' from previous run found,',       &
+                                         ' but this file cannot be extended due to mismatch in ',  &
+                                         ' number of vertical grid points.',                       &
+                                         '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0336', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -1404,36 +1355,34 @@
 
 !
-!--       Get the id of the time coordinate (unlimited coordinate) and its
-!--       last index on the file. The next time level is plmask..count+1.
-!--       The current time must be larger than the last output time
-!--       on the file.
-          nc_stat = NF90_INQ_VARID( id_set_mask(mid,av), 'time',               &
-                                    id_var_time_mask(mid,av) )
+!--       Get the id of the time coordinate (unlimited coordinate) and its last index on the file.
+!--       The next time level is plmask..count+1.
+!--       The current time must be larger than the last output time on the file.
+          nc_stat = NF90_INQ_VARID( id_set_mask(mid,av), 'time', id_var_time_mask(mid,av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 511 )
 
-          nc_stat = NF90_INQUIRE_VARIABLE( id_set_mask(mid,av),                &
-                                           id_var_time_mask(mid,av),           &
+          nc_stat = NF90_INQUIRE_VARIABLE( id_set_mask(mid,av),                                    &
+                                           id_var_time_mask(mid,av),                               &
                                            dimids = id_dim_time_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 512 )
           id_dim_time_mask(mid,av) = id_dim_time_old(1)
 
-          nc_stat = NF90_INQUIRE_DIMENSION( id_set_mask(mid,av),               &
-                                            id_dim_time_mask(mid,av),          &
-                                            len = domask_time_count(mid,av) )
+          nc_stat = NF90_INQUIRE_DIMENSION( id_set_mask(mid,av),                                   &
+                                            id_dim_time_mask(mid,av),                              &
+                                            LEN = domask_time_count(mid,av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 513 )
 
-          nc_stat = NF90_GET_VAR( id_set_mask(mid,av),                         &
-                                  id_var_time_mask(mid,av),                    &
-                                  last_time_coordinate,                        &
-                                  start = (/ domask_time_count(mid,av) /),     &
+          nc_stat = NF90_GET_VAR( id_set_mask(mid,av),                                             &
+                                  id_var_time_mask(mid,av),                                        &
+                                  last_time_coordinate,                                            &
+                                  start = (/ domask_time_count(mid,av) /),                         &
                                   count = (/ 1 /) )
           CALL netcdf_handle_error( 'netcdf_define_header', 514 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
-             WRITE ( message_string, * ) 'netCDF file for ', TRIM( var ),      &
-                  ' data for mask', mid, ' from previous run found,',          &
-                  '&but this file cannot be extended because the current ',    &
-                  'output time is less or equal than the last output time ',   &
-                  'on this file.&New file is created instead.'
+             WRITE ( message_string, * ) 'netCDF file for ', TRIM( var ),                          &
+                                         ' data for mask', mid, ' from previous run found,',       &
+                                         '&but this file cannot be extended because the current ', &
+                                         'output time is less or equal than the last output time ',&
+                                         'on this file.&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0337', 0, 1, 0, 6, 0 )
              domask_time_count(mid,av) = 0
@@ -1447,6 +1396,6 @@
           i = 1
           DO WHILE ( domask(mid,av,i)(1:1) /= ' ' )
-             nc_stat = NF90_INQ_VARID( id_set_mask(mid,av), &
-                                       TRIM( domask(mid,av,i) ), &
+             nc_stat = NF90_INQ_VARID( id_set_mask(mid,av),                                        &
+                                       TRIM( domask(mid,av,i) ),                                   &
                                        id_var_domask(mid,av,i) )
              CALL netcdf_handle_error( 'netcdf_define_header', 515 )
@@ -1455,30 +1404,26 @@
 
 !
-!--       Update the title attribute on file
-!--       In order to avoid 'data mode' errors if updated attributes are larger
-!--       than their original size, NF90_PUT_ATT is called in 'define mode'
-!--       enclosed by NF90_REDEF and NF90_ENDDEF calls. This implies a possible
-!--       performance loss due to data copying; an alternative strategy would be
-!--       to ensure equal attribute size in a job chain. Maybe revise later.
+!--       Update the title attribute on file.
+!--       In order to avoid 'data mode' errors if updated attributes are larger than their original
+!--       size, NF90_PUT_ATT is called in 'define mode' enclosed by NF90_REDEF and NF90_ENDDEF
+!--       calls. This implies a possible performance loss due to data copying; an alternative
+!--       strategy would be to ensure equal attribute size in a job chain. Maybe revise later.
           IF ( av == 0 )  THEN
              time_average_text = ' '
           ELSE
-             WRITE (time_average_text, '('', '',F7.1,'' s average'')')         &
-                                                            averaging_interval
+             WRITE (time_average_text, '('', '',F7.1,'' s average'')')  averaging_interval
           ENDIF
           nc_stat = NF90_REDEF( id_set_mask(mid,av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 516 )
-          nc_stat = NF90_PUT_ATT( id_set_mask(mid,av), NF90_GLOBAL, 'title',   &
-                                  TRIM( run_description_header ) //            &
-                                  TRIM( time_average_text ) )
+          nc_stat = NF90_PUT_ATT( id_set_mask(mid,av), NF90_GLOBAL, 'title',                       &
+                                  TRIM( run_description_header ) // TRIM( time_average_text ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 517 )
           nc_stat = NF90_ENDDEF( id_set_mask(mid,av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 518 )
-          WRITE ( message_string, * ) 'netCDF file for ', TRIM( var ),         &
-               ' data for mask', mid, ' from previous run found.',             &
-               ' &This file will be extended.'
+          WRITE ( message_string, * ) 'netCDF file for ', TRIM( var ), ' data for mask', mid,      &
+                                     ' from previous run found.', ' &This file will be extended.'
           CALL message( 'define_netcdf_header', 'PA0338', 0, 0, 0, 6, 0 )
 !
-!--       restore original parameter file_id (=formal parameter av) into av
+!--       Restore original parameter file_id (=formal parameter av) into av
           av = file_id
 
@@ -1489,10 +1434,12 @@
 !--       Define some global attributes of the dataset
           IF ( av == 0 )  THEN
-             CALL netcdf_create_global_atts( id_set_3d(av), '3d', TRIM( run_description_header ), 62 )
+             CALL netcdf_create_global_atts( id_set_3d(av), '3d',                                  &
+                                             TRIM( run_description_header ), 62 )
              time_average_text = ' '
           ELSE
-             CALL netcdf_create_global_atts( id_set_3d(av), '3d_av', TRIM( run_description_header ), 62 )
+             CALL netcdf_create_global_atts( id_set_3d(av), '3d_av',                               &
+                                             TRIM( run_description_header ), 62 )
              WRITE ( time_average_text,'(F7.1,'' s avg'')' )  averaging_interval
-             nc_stat = NF90_PUT_ATT( id_set_3d(av), NF90_GLOBAL, 'time_avg',   &
+             nc_stat = NF90_PUT_ATT( id_set_3d(av), NF90_GLOBAL, 'time_avg',                       &
                                      TRIM( time_average_text ) )
              CALL netcdf_handle_error( 'netcdf_define_header', 63 )
@@ -1501,17 +1448,14 @@
 !
 !--       Define time coordinate for volume data.
-!--       For parallel output the time dimensions has to be limited, otherwise
-!--       the performance drops significantly.
+!--       For parallel output the time dimensions has to be limited, otherwise the performance drops
+!--       significantly.
           IF ( netcdf_data_format < 5 )  THEN
-             CALL netcdf_create_dim( id_set_3d(av), 'time', NF90_UNLIMITED,    &
-                                     id_dim_time_3d(av), 64 )
+             CALL netcdf_create_dim( id_set_3d(av), 'time', NF90_UNLIMITED, id_dim_time_3d(av), 64 )
           ELSE
-             CALL netcdf_create_dim( id_set_3d(av), 'time', ntdim_3d(av),      &
-                                     id_dim_time_3d(av), 523 )
-          ENDIF
-
-          CALL netcdf_create_var( id_set_3d(av), (/ id_dim_time_3d(av) /),     &
-                                  'time', NF90_DOUBLE, id_var_time_3d(av),     &
-                                  'seconds', 'time', 65, 66, 00 )
+             CALL netcdf_create_dim( id_set_3d(av), 'time', ntdim_3d(av), id_dim_time_3d(av), 523 )
+          ENDIF
+
+          CALL netcdf_create_var( id_set_3d(av), (/ id_dim_time_3d(av) /), 'time', NF90_DOUBLE,    &
+                                  id_var_time_3d(av), 'seconds', 'time', 65, 66, 00 )
           CALL netcdf_create_att( id_set_3d(av), id_var_time_3d(av), 'standard_name', 'time', 000)
           CALL netcdf_create_att( id_set_3d(av), id_var_time_3d(av), 'axis', 'T', 000)
@@ -1519,84 +1463,62 @@
 !--       Define spatial dimensions and coordinates:
 !--       Define vertical coordinate grid (zu grid)
-          CALL netcdf_create_dim( id_set_3d(av), 'zu_3d', nz_do3d-nzb+1,       &
-                                  id_dim_zu_3d(av), 67 )
-          CALL netcdf_create_var( id_set_3d(av), (/ id_dim_zu_3d(av) /),       &
-                                  'zu_3d', NF90_DOUBLE, id_var_zu_3d(av),      &
-                                  'meters', '', 68, 69, 00 )
-          CALL netcdf_create_att( id_set_3d(av), id_var_zu_3d(av), 'axis',     &
-                                  'Z', 000)
+          CALL netcdf_create_dim( id_set_3d(av), 'zu_3d', nz_do3d-nzb+1, id_dim_zu_3d(av), 67 )
+          CALL netcdf_create_var( id_set_3d(av), (/ id_dim_zu_3d(av) /), 'zu_3d', NF90_DOUBLE,     &
+                                  id_var_zu_3d(av), 'meters', '', 68, 69, 00 )
+          CALL netcdf_create_att( id_set_3d(av), id_var_zu_3d(av), 'axis', 'Z', 000)
 !
 !--       Define vertical coordinate grid (zw grid)
-          CALL netcdf_create_dim( id_set_3d(av), 'zw_3d', nz_do3d-nzb+1,       &
-                                  id_dim_zw_3d(av), 70 )
-          CALL netcdf_create_var( id_set_3d(av), (/ id_dim_zw_3d(av) /),       &
-                                  'zw_3d', NF90_DOUBLE, id_var_zw_3d(av),      &
-                                  'meters', '', 71, 72, 00 )
-          CALL netcdf_create_att( id_set_3d(av), id_var_zw_3d(av), 'axis',     &
-                                  'Z', 000)
+          CALL netcdf_create_dim( id_set_3d(av), 'zw_3d', nz_do3d-nzb+1, id_dim_zw_3d(av), 70 )
+          CALL netcdf_create_var( id_set_3d(av), (/ id_dim_zw_3d(av) /), 'zw_3d', NF90_DOUBLE,     &
+                                  id_var_zw_3d(av), 'meters', '', 71, 72, 00 )
+          CALL netcdf_create_att( id_set_3d(av), id_var_zw_3d(av), 'axis', 'Z', 000)
 !
 !--       Define x-axis (for scalar position)
-          CALL netcdf_create_dim( id_set_3d(av), 'x', nx+1, id_dim_x_3d(av),   &
-                                  73 )
-          CALL netcdf_create_var( id_set_3d(av), (/ id_dim_x_3d(av) /), 'x',   &
-                                  NF90_DOUBLE, id_var_x_3d(av), 'meters', '',  &
-                                  74, 75, 00 )
-          CALL netcdf_create_att( id_set_3d(av), id_var_x_3d(av), 'axis',     &
-                                  'X', 000)
+          CALL netcdf_create_dim( id_set_3d(av), 'x', nx+1, id_dim_x_3d(av), 73 )
+          CALL netcdf_create_var( id_set_3d(av), (/ id_dim_x_3d(av) /), 'x', NF90_DOUBLE,          &
+                                  id_var_x_3d(av), 'meters', '', 74, 75, 00 )
+          CALL netcdf_create_att( id_set_3d(av), id_var_x_3d(av), 'axis', 'X', 000)
 !
 !--       Define x-axis (for u position)
-          CALL netcdf_create_dim( id_set_3d(av), 'xu', nx+1, id_dim_xu_3d(av), &
-                                  358 )
-          CALL netcdf_create_var( id_set_3d(av), (/ id_dim_xu_3d(av) /), 'xu', &
-                                  NF90_DOUBLE, id_var_xu_3d(av), 'meters', '', &
-                                  359, 360, 000 )
-          CALL netcdf_create_att( id_set_3d(av), id_var_xu_3d(av), 'axis',     &
-                                  'X', 000)
+          CALL netcdf_create_dim( id_set_3d(av), 'xu', nx+1, id_dim_xu_3d(av), 358 )
+          CALL netcdf_create_var( id_set_3d(av), (/ id_dim_xu_3d(av) /), 'xu', NF90_DOUBLE,        &
+                                  id_var_xu_3d(av), 'meters', '', 359, 360, 000 )
+          CALL netcdf_create_att( id_set_3d(av), id_var_xu_3d(av), 'axis', 'X', 000)
 !
 !--       Define y-axis (for scalar position)
-          CALL netcdf_create_dim( id_set_3d(av), 'y', ny+1, id_dim_y_3d(av),   &
-                                  76 )
-          CALL netcdf_create_var( id_set_3d(av), (/ id_dim_y_3d(av) /), 'y',   &
-                                  NF90_DOUBLE, id_var_y_3d(av), 'meters', '',  &
-                                  77, 78, 00 )
-          CALL netcdf_create_att( id_set_3d(av), id_var_y_3d(av), 'axis',     &
-                                  'Y', 000)
+          CALL netcdf_create_dim( id_set_3d(av), 'y', ny+1, id_dim_y_3d(av), 76 )
+          CALL netcdf_create_var( id_set_3d(av), (/ id_dim_y_3d(av) /), 'y', NF90_DOUBLE,          &
+                                  id_var_y_3d(av), 'meters', '', 77, 78, 00 )
+          CALL netcdf_create_att( id_set_3d(av), id_var_y_3d(av), 'axis', 'Y', 000)
 !
 !--       Define y-axis (for v position)
-          CALL netcdf_create_dim( id_set_3d(av), 'yv', ny+1, id_dim_yv_3d(av), &
-                                  361 )
-          CALL netcdf_create_var( id_set_3d(av), (/ id_dim_yv_3d(av) /), 'yv', &
-                                  NF90_DOUBLE, id_var_yv_3d(av), 'meters', '', &
-                                  362, 363, 000 )
-          CALL netcdf_create_att( id_set_3d(av), id_var_yv_3d(av), 'axis',     &
-                                  'Y', 000)
+          CALL netcdf_create_dim( id_set_3d(av), 'yv', ny+1, id_dim_yv_3d(av), 361 )
+          CALL netcdf_create_var( id_set_3d(av), (/ id_dim_yv_3d(av) /), 'yv', NF90_DOUBLE,        &
+                                  id_var_yv_3d(av), 'meters', '', 362, 363, 000 )
+          CALL netcdf_create_att( id_set_3d(av), id_var_yv_3d(av), 'axis', 'Y', 000)
 !
 !--       Define UTM and geographic coordinates
-          CALL define_geo_coordinates( id_set_3d(av),         &
-                  (/ id_dim_x_3d(av), id_dim_xu_3d(av) /),    &
-                  (/ id_dim_y_3d(av), id_dim_yv_3d(av) /),    &
-                  id_var_eutm_3d(:,av), id_var_nutm_3d(:,av), &
-                  id_var_lat_3d(:,av), id_var_lon_3d(:,av)    )
+          CALL define_geo_coordinates( id_set_3d(av),                                              &
+                                       (/ id_dim_x_3d(av), id_dim_xu_3d(av) /),                    &
+                                       (/ id_dim_y_3d(av), id_dim_yv_3d(av) /),                    &
+                                       id_var_eutm_3d(:,av), id_var_nutm_3d(:,av),                 &
+                                       id_var_lat_3d(:,av), id_var_lon_3d(:,av)    )
 !
 !--       Define coordinate-reference system
           CALL netcdf_create_crs( id_set_3d(av), 000 )
 !
-!--       In case of non-flat topography define 2d-arrays containing the height
-!--       information. Only output 2d topography information in case of parallel
-!--       output.
-          IF ( TRIM( topography ) /= 'flat'  .AND.                             &
-               netcdf_data_format > 4 )  THEN
+!--       In case of non-flat topography define 2d-arrays containing the height information. Only
+!--       output 2d topography information in case of parallel output.
+          IF ( TRIM( topography ) /= 'flat'  .AND.  netcdf_data_format > 4 )  THEN
 !
 !--          Define zusi = zu(nzb_s_inner)
-             CALL netcdf_create_var( id_set_3d(av), (/ id_dim_x_3d(av),        &
-                                     id_dim_y_3d(av) /), 'zusi', NF90_DOUBLE,  &
-                                     id_var_zusi_3d(av), 'meters',             &
-                                     'zu(nzb_s_inner)', 413, 414, 415 )
+             CALL netcdf_create_var( id_set_3d(av), (/ id_dim_x_3d(av), id_dim_y_3d(av) /), 'zusi',&
+                                     NF90_DOUBLE, id_var_zusi_3d(av), 'meters', 'zu(nzb_s_inner)', &
+                                     413, 414, 415 )
 !
 !--          Define zwwi = zw(nzb_w_inner)
-             CALL netcdf_create_var( id_set_3d(av), (/ id_dim_x_3d(av),        &
-                                     id_dim_y_3d(av) /), 'zwwi', NF90_DOUBLE,  &
-                                     id_var_zwwi_3d(av), 'meters',             &
-                                     'zw(nzb_w_inner)', 416, 417, 418 )
+             CALL netcdf_create_var( id_set_3d(av), (/ id_dim_x_3d(av), id_dim_y_3d(av) /), 'zwwi',&
+                                     NF90_DOUBLE, id_var_zwwi_3d(av), 'meters', 'zw(nzb_w_inner)', &
+                                     416, 417, 418 )
 
           ENDIF
@@ -1605,11 +1527,9 @@
 !
 !--          Define vertical coordinate grid (zs grid)
-             CALL netcdf_create_dim( id_set_3d(av), 'zs_3d',                   &
+             CALL netcdf_create_dim( id_set_3d(av), 'zs_3d',                                       &
                                      nzt_soil-nzb_soil+1, id_dim_zs_3d(av), 70 )
-             CALL netcdf_create_var( id_set_3d(av), (/ id_dim_zs_3d(av) /),    &
-                                     'zs_3d', NF90_DOUBLE, id_var_zs_3d(av),   &
-                                     'meters', '', 71, 72, 00 )
-             CALL netcdf_create_att( id_set_3d(av), id_var_zs_3d(av), 'axis',  &
-                                     'Z', 000)
+             CALL netcdf_create_var( id_set_3d(av), (/ id_dim_zs_3d(av) /), 'zs_3d', NF90_DOUBLE,  &
+                                     id_var_zs_3d(av), 'meters', '', 71, 72, 00 )
+             CALL netcdf_create_att( id_set_3d(av), id_var_zs_3d(av), 'axis', 'Z', 000)
 
           ENDIF
@@ -1618,12 +1538,9 @@
 !
 !--          Define vertical coordinate grid (zpc grid)
-             CALL netcdf_create_dim( id_set_3d(av), 'zpc_3d',                  &
-                                     pch_index+1, id_dim_zpc_3d(av), 70 )
+             CALL netcdf_create_dim( id_set_3d(av), 'zpc_3d', pch_index+1, id_dim_zpc_3d(av), 70 )
              !netcdf_create_dim(ncid, dim_name, ncdim_type, ncdim_id, error_no)
-             CALL netcdf_create_var( id_set_3d(av), (/ id_dim_zpc_3d(av) /),   &
-                                     'zpc_3d', NF90_DOUBLE, id_var_zpc_3d(av), &
-                                     'meters', '', 71, 72, 00 )
-             CALL netcdf_create_att( id_set_3d(av), id_var_zpc_3d(av), 'axis', &
-                                     'Z', 000)
+             CALL netcdf_create_var( id_set_3d(av), (/ id_dim_zpc_3d(av) /), 'zpc_3d', NF90_DOUBLE,&
+                                     id_var_zpc_3d(av), 'meters', '', 71, 72, 00 )
+             CALL netcdf_create_att( id_set_3d(av), id_var_zpc_3d(av), 'axis', 'Z', 000)
 
           ENDIF
@@ -1636,6 +1553,6 @@
           DO WHILE ( do3d(av,i)(1:1) /= ' ' )
 !
-!--          Temporary solution to account for data output within the new urban
-!--          surface model (urban_surface_mod.f90), see also SELECT CASE ( trimvar )
+!--          Temporary solution to account for data output within the new urban surface model
+!--          (urban_surface_mod.f90), see also SELECT CASE ( trimvar )
              trimvar = TRIM( do3d(av,i) )
              IF ( urban_surface  .AND.  trimvar(1:4) == 'usm_' )  THEN
@@ -1680,23 +1597,19 @@
 !--             Block of urban surface model outputs
                 CASE ( 'usm_output' )
-                   CALL usm_define_netcdf_grid( do3d(av,i), found, &
-                                                   grid_x, grid_y, grid_z )
+                   CALL usm_define_netcdf_grid( do3d(av,i), found, grid_x, grid_y, grid_z )
 
                 CASE DEFAULT
 
-                   CALL tcm_define_netcdf_grid( do3d(av,i), found, &
-                                                   grid_x, grid_y, grid_z )
+                   CALL tcm_define_netcdf_grid( do3d(av,i), found, grid_x, grid_y, grid_z )
 
 !
 !--                Check for land surface quantities
-                   IF ( .NOT. found .AND. land_surface )  THEN
-                      CALL lsm_define_netcdf_grid( do3d(av,i), found, grid_x,  &
-                                                   grid_y, grid_z )
+                   IF ( .NOT. found  .AND.  land_surface )  THEN
+                      CALL lsm_define_netcdf_grid( do3d(av,i), found, grid_x, grid_y, grid_z )
                    ENDIF
 !
 !--                Check for ocean quantities
                    IF ( .NOT. found  .AND.  ocean_mode )  THEN
-                      CALL ocean_define_netcdf_grid( do3d(av,i), found,  &
-                                                     grid_x, grid_y, grid_z )
+                      CALL ocean_define_netcdf_grid( do3d(av,i), found, grid_x, grid_y, grid_z )
                    ENDIF
 
@@ -1704,6 +1617,5 @@
 !--                Check for plant canopy quantities
                    IF ( .NOT. found  .AND.  plant_canopy )  THEN
-                      CALL pcm_define_netcdf_grid( do3d(av,i), found, grid_x,  &
-                                                   grid_y, grid_z )
+                      CALL pcm_define_netcdf_grid( do3d(av,i), found, grid_x, grid_y, grid_z )
                    ENDIF
 
@@ -1711,19 +1623,15 @@
 !--                Check for radiation quantities
                    IF ( .NOT. found  .AND.  radiation )  THEN
-                      CALL radiation_define_netcdf_grid( do3d(av,i), found,    &
-                                                         grid_x, grid_y,       &
-                                                         grid_z )
+                      CALL radiation_define_netcdf_grid( do3d(av,i), found, grid_x, grid_y, grid_z )
                    ENDIF
 
 !--                Check for gust module quantities
                    IF ( .NOT. found  .AND.  gust_module_enabled )  THEN
-                      CALL gust_define_netcdf_grid( do3d(av,i), found, grid_x, &
-                                                    grid_y, grid_z )
+                      CALL gust_define_netcdf_grid( do3d(av,i), found, grid_x, grid_y, grid_z )
                    ENDIF
 !
 !--                Check for indoor model quantities
-                   IF ( .NOT. found .AND. indoor_model ) THEN
-                      CALL im_define_netcdf_grid( do3d(av,i), found,           &
-                                                  grid_x, grid_y, grid_z )
+                   IF ( .NOT. found  .AND.  indoor_model ) THEN
+                      CALL im_define_netcdf_grid( do3d(av,i), found, grid_x, grid_y, grid_z )
                    ENDIF
 
